#include<graphics.h>
#include<stdio.h>
#include<conio.h>
#include<math.h>
main()
{int gd,gm;
 float yy,vo,arany,arany1,arany2;
 float x,y,xx,szog;
 clrscr();

 puts("Adja meg a kezd‹sebess‚g‚t (m/s-ben):");
 scanf("%f",&vo);

 puts("Adja meg a kezd‹ sz”get a vizszinteshez k‚pest (fokban):");
 scanf("%f",&szog);
 szog=szog*M_PI/180;

detectgraph(&gd,&gm);
initgraph(&gd,&gm,"D:\\feki\\c\\BGI");
setbkcolor(YELLOW);

xx=vo*vo/9.81*sin(2*szog);
yy=vo*vo*sin(szog)*sin(szog)/19.62;

arany1=getmaxx()/xx;
arany2=(getmaxy()-20)/yy;

if (arany2>arany1) arany=arany1;
if (arany1>arany2) arany=arany2;

for(x=0; x<=xx ;x=x+(xx)/getmaxy()/5)
{




y=x*tan(szog)-x*x*9.81/(2*vo*vo*cos(szog)*cos(szog));


 putpixel(x*arany,getmaxy()-arany*y,RED);



  }


printf("A pont %f m‚terre esett le a monitoron BEL'U'L!!! ",xx);


   getch();
closegraph();
   }


